VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1440
   ClientLeft      =   1230
   ClientTop       =   1695
   ClientWidth     =   3045
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   1440
   ScaleWidth      =   3045
   Begin VB.CommandButton cmdRemove 
      Caption         =   "Remove"
      Height          =   495
      Left            =   1560
      TabIndex        =   2
      Top             =   720
      Width           =   1215
   End
   Begin VB.CommandButton cmdAdd 
      Caption         =   "Add"
      Height          =   495
      Left            =   240
      TabIndex        =   1
      Top             =   720
      Width           =   1215
   End
   Begin VB.ComboBox cboAnimals 
      Height          =   315
      ItemData        =   "Form1.frx":0000
      Left            =   240
      List            =   "Form1.frx":0002
      TabIndex        =   0
      Top             =   240
      Width           =   2535
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Return the file's contents.
Private Function GrabFile(ByVal file_name As String) As String
Dim fnum As Integer

    On Error GoTo NoFile
    fnum = FreeFile
    Open file_name For Input As fnum
    GrabFile = Input$(LOF(fnum), fnum)
    Close fnum
    Exit Function

NoFile:
    GrabFile = ""
End Function

' Write the string into the file.
Private Sub WriteFile(ByVal file_name As String, ByVal txt As String)
Dim fnum As Integer

    fnum = FreeFile
    Open file_name For Output As fnum
    Print #fnum, txt;
    Close fnum
End Sub

' Add an entry to the ComboBox.
Private Sub cmdAdd_Click()
    cboAnimals.AddItem cboAnimals.Text
End Sub

' Remove an entry from the ComboBox.
Private Sub cmdRemove_Click()
    If cboAnimals.ListIndex > -1 Then
        cboAnimals.RemoveItem cboAnimals.ListIndex
    Else
        cboAnimals.Text = ""
    End If
End Sub


' Load the data from last time.
Private Sub Form_Load()
Dim whole_file As String
Dim animals() As String
Dim i As Integer
Dim txt As String

    cboAnimals.Clear

    ' Get the whole file.
    whole_file = GrabFile(App.Path & "\animals.dat")

    ' Break the file into lines.
    animals = Split(whole_file, vbCrLf)

    ' Add the lines to the ComboBox.
    For i = LBound(animals, 1) To UBound(animals, 1)
        txt = Trim$(animals(i))
        If Len(txt) > 0 Then cboAnimals.AddItem txt
    Next i
End Sub
' Save the data for next time.
Private Sub Form_Unload(Cancel As Integer)
Dim txt As String
Dim i As Integer

    For i = 0 To cboAnimals.ListCount - 1
        txt = txt & cboAnimals.List(i) & vbCrLf
    Next i
    WriteFile App.Path & "\animals.dat", txt
End Sub
